# 
# Do NOT Edit the Auto-generated Part!
# Generated by: spectacle version 0.23
# 
# >> macros
# << macros

Name:       lzo
Summary:    Data compression library with very fast (de)compression
Version:    2.06
Release:    1
Group:      System/Libraries
License:    GPLv2+
URL:        http://www.oberhumer.com/opensource/lzo/
Source0:    http://www.oberhumer.com/opensource/lzo/download/%{name}-%{version}.tar.gz
Source100:  lzo.yaml
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires:  pkgconfig(zlib)


%description
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and very fast decompression.
Decompression requires no memory. In addition there are slower
compression levels achieving a quite competitive compression ratio
while still decompressing at this very high speed.



%package minilzo
Summary:    Mini version of lzo for apps which don't need the full version
Group:      System/Libraries
Requires:   %{name} = %{version}-%{release}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description minilzo
A small (mini) version of lzo for embedding into applications which don't need
full blown lzo compression support.


%package devel
Summary:    Development files for the lzo library
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   zlib-devel

%description devel
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and very fast decompression.
This package contains development files needed for lzo.



%prep
%setup -q -n %{name}-%{version}

# >> setup
# << setup

%build
# >> build pre
# << build pre

%configure --disable-static \
    --disable-dependency-tracking \
    --enable-shared \
    CFLAGS="`echo $CFLAGS | sed 's/-O2//g'`"

make %{?jobs:-j%jobs}

# >> build post
# build minilzo too (bz 439979)
gcc %{optflags} -O2 -g -fpic -Iinclude/lzo -o minilzo/minilzo.o -c minilzo/minilzo.c
#gcc -O2 -g -fpic -Iinclude/lzo -o minilzo/minilzo.o -c minilzo/minilzo.c
gcc -g -shared -o libminilzo.so.0 -Wl,-soname,libminilzo.so.0 minilzo/minilzo.o
# << build post
%install
rm -rf %{buildroot}
# >> install pre
# << install pre
%make_install

# >> install post
install -m 755 libminilzo.so.0 $RPM_BUILD_ROOT%{_libdir}
ln -s libminilzo.so.0 $RPM_BUILD_ROOT%{_libdir}/libminilzo.so
install -p -m 644 minilzo/minilzo.h $RPM_BUILD_ROOT%{_includedir}/lzo
# << install post



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig



%post minilzo -p /sbin/ldconfig

%postun minilzo -p /sbin/ldconfig




%files
%defattr(-,root,root,-)
# >> files
%doc AUTHORS COPYING THANKS NEWS
%{_libdir}/liblzo2.so.*
# << files


%files minilzo
%defattr(-,root,root,-)
# >> files minilzo
%doc minilzo/README.LZO
%{_libdir}/libminilzo.so.0
# << files minilzo

%files devel
%defattr(-,root,root,-)
# >> files devel
%doc doc/LZOAPI.TXT doc/LZO.FAQ doc/LZO.TXT
%{_includedir}/lzo
%{_libdir}/lib*lzo*.so
%{_datadir}/doc/lzo/*
# << files devel

